Package com.smartgwt.client.widgets.grid.events

# Class EditorExitEvent

java.lang.Object
com.google.web.bindery.event.shared.Event<H>
com.google.gwt.event.shared.GwtEvent<H>
com.smartgwt.client.event.AbstractSmartEvent<EditorExitHandler>
com.smartgwt.client.widgets.grid.events.EditorExitEvent

All Implemented Interfaces:
  `Cancellable`

public class EditorExitEvent extends AbstractSmartEvent<EditorExitHandler> implements Cancellable

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

  `GwtEvent.Type<H extends Object>`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EditorExitEvent(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cancel()`
  Calling this method will cancel the default behavior (for example saving the row) and leave the editor visible and focus in this edit cell.
  `protected void`
  `dispatch(EditorExitHandler handler)`
  `static <S extends HasEditorExitHandlers & HasHandlers>
  void`
  `fire(S source, JavaScriptObject jsObj)`
  Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
  `final GwtEvent.Type<EditorExitHandler>`
  `getAssociatedType()`
  `int`
  `getColNum()`
  column number of the cell
  `EditCompletionEvent`
  `getEditCompletionEvent()`
  What interaction triggered this edit cell exit
  `ListGrid`
  `getGrid()`
  ListGrid to which this field belongs
  `Object`
  `getNewValue()`
  new edit value for the cell being edited.
  `ListGridRecord`
  `getRecord()`
  record for the cell being edited
  `int`
  `getRowNum()`
  row number for the cell
  `static GwtEvent.Type<EditorExitHandler>`
  `getType()`
  Gets the type associated with this event.
  `boolean`
  `isCancelled()`

  ### Methods inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `getFiringInstanceAsJavaScriptObject`

  ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

  `assertLive, getSource, isLive, kill, revive`

  ### Methods inherited from class com.google.web.bindery.event.shared.Event

  `setSource, toDebugString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EditorExitEvent

    public EditorExitEvent(JavaScriptObject jsObj)

- ## Method Details

  - ### fire

    public static <S extends HasEditorExitHandlers & HasHandlers> void fire(S source, JavaScriptObject jsObj)
    Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
    Type Parameters:
      `S` - The event source
    Parameters:
      `source` - the source of the handlers
      `jsObj` - the native event

  - ### getType

    public static GwtEvent.Type<EditorExitHandler> getType()
    Gets the type associated with this event.
    Returns:
      returns the handler type

  - ### dispatch

    protected void dispatch(EditorExitHandler handler)
    Specified by:
      `dispatch` in class `GwtEvent<EditorExitHandler>`

  - ### getAssociatedType

    public final GwtEvent.Type<EditorExitHandler> getAssociatedType()
    Specified by:
      `getAssociatedType` in class `GwtEvent<EditorExitHandler>`

  - ### cancel

    public void cancel()
    Calling this method will cancel the default behavior (for example saving the row) and leave the editor visible and focus in this edit cell.
    Specified by:
      `cancel` in interface `Cancellable`

  - ### isCancelled

    public boolean isCancelled()
    Specified by:
      `isCancelled` in interface `Cancellable`
    Returns:
      true if cancelled

  - ### getEditCompletionEvent

    public EditCompletionEvent getEditCompletionEvent()
    What interaction triggered this edit cell exit
    Returns:
      What interaction triggered this edit cell exit

  - ### getRecord

    public ListGridRecord getRecord()
    record for the cell being edited
    Returns:
      record for the cell being edited

  - ### getNewValue

    public Object getNewValue()
    new edit value for the cell being edited. Note that if the user has not made any changes this will be undefined
    Returns:
      new edit value for the cell being edited. Note that if the user has not made any changes this will be undefined

  - ### getRowNum

    public int getRowNum()
    row number for the cell
    Returns:
      row number for the cell

  - ### getColNum

    public int getColNum()
    column number of the cell
    Returns:
      column number of the cell

  - ### getGrid

    public ListGrid getGrid()
    ListGrid to which this field belongs
    Returns:
      ListGrid to which this field belongs